> For the complete documentation index, see [llms.txt](https://docs.tupayonline.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tupayonline.com/english/api-documentation/deposit/technical-aspects.md).

# Technical  Aspects

Learn about the technical and security aspects of our API.

## Technical Considerations

* All API requests must be made over [HTTPS](http://en.wikipedia.org/wiki/HTTP_Secure). Calls made over plain HTTP will fail.
* API calls without Authentication will also fail.&#x20;
* You will only be able to make hits to our APIs from IPs that you have previously whitelisted from the Tupay Panel (or STG Tupay Panel).

## Environments

All integration must be performed from our STG environment, where you can test without risk of any kind.

When you register with us, we will generate an account in the STG environment where you will be able to do the following:

* View transactions created
* Approve and cancel transactions
* Whitelist your IPs, and more

### Endpoint domains

Each environment has its own domain. The path of the endpoints doesn't change.

| Environment | Domain                                 |
| ----------- | -------------------------------------- |
| Testing     | `https://api-stg.tupayonline.com/`     |
| Production  | Provided once you complete the testing |

{% hint style="info" %}
**Notes**

* You must use the STG Endpoint to integrate.
* &#x20;The STG and Production environments are not communicated in any way.&#x20;
* No transaction performed in the STG environment will be reflected in Production and vice versa.&#x20;
* API Credentials and configurations between environments are also different.
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tupayonline.com/english/api-documentation/deposit/technical-aspects.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
